GS(1)

NOM
gs – Ghostscript (interpréteur et prévisualiseur pour les langages PostScript et PDF)

SYNOPSIS
gs [ options ] [ fichiers ] ... (Unix, VMS)
gswin32c [ options ] [ fichiers ] ... (MS Windows)
gswin32 [ options ] [ fichiers ] ... (MS Windows 3.1)
gsos2 [ options ] [ fichiers ] ... (OS/2)

DESCRIPTION
La commande gs (gswin32, gswin32c, gsos2) invoque Ghostscript, un interpréteur pour les langages PostScript™ et PDF (Portable Document Format) d'Adobe Systems. gs lit des « fichiers » les uns après les autres et les exécute en tant que programmes Ghostscript. Puis il continue à lire des entrées depuis l'entrée standard (normalement le clavier), interprétant chaque ligne séparément et envoyant la sortie à un dispositif (soit un fichier ou un prévisualiseur X11, voir ci-après). L'interpréteur quitte lorsqu'il rencontre la commande « quit » (dans un fichier ou depuis le clavier), en fin de fichier, ou suite à un signal d'interruption (comme Ctrl-C au clavier).

L'interpréteur reconnaît beaucoup d’options, certaines décrites ci-après (consulter la documentation complète pour plus d’informations). Elles peuvent apparaître n'importe où dans la ligne de commande et s'appliquent à tous les fichiers qui les suivent. L'invocation de Ghostscript avec l'option -h ou -? affiche un message qui montre plusieurs options utiles, tous les dispositifs connus de cet exécutable et le chemin de recherche pour les fontes. Sous Unix l'emplacement de la documentation détaillée est aussi affichée.

Ghostscript peut être construit pour utiliser de nombreux dispositifs de sortie. Pour afficher la liste des dispositifs reconnus par l’exécutable, utilisez « gs -h ».

Si aucun dispositif particulier n’est indiqué, Ghostscript utilisera normalement le premier d’entre eux et lui enverra la sortie.

Si utilisé avec la prise en charge d’X11 – souvent le dispositif par défaut est une fenêtre d’X11 – Ghostscript utilisera le dispositif bbox et affichera sur la sortie standard les dimensions du fichier PostScript.

Ainsi, si le premier de la liste est celui désiré, exécutez la commande

	gs fichier.ps

Pour afficher l'ensemble des périphériques disponibles au sein de Ghostscript, invoquez Ghostscript et tapez

	devicenames ==

mais le premier périphérique de cette liste n'est pas obligatoirement le même que celui de la liste obtenue avec « gs -h ». Pour désigner « AbcXyz » comme périphérique de sortie initial, utilisez l'option

	-sDEVICE=AbcXyz

Par exemple, pour obtenir une sortie vers une imprimante Epson, vous pouvez utiliser la commande

	gs -sDEVICE=epson fichier.ps

L'option « -sDEVICE= » doit précéder la première indication de fichiers à imprimer et seule la première occurrence de l'option a un effet.

Finalement, le dispositif par défaut peut être indiqué dans la variable d'environnement GS_DEVICE. L'ordre de priorité (Ghostscript utilise celui défini comme le plus haut dans la liste) par ordre décroissant pour toutes ces solutions de remplacement est :

   setpagedevice
   (ligne de commande)
   GS_DEVICE
   (premier périphérique de la liste de construction)

Certaines imprimantes peuvent imprimer dans différentes résolutions. Pour spécifier la résolution d'impression, utilisez l'option -r :

	gs -sDEVICE=<dispositif> -r<rés_x>x<Rés_y>

Par exemple sur une imprimante à 9 aiguilles compatible Epson, la résolution la plus faible (et la plus rapide) est obtenue avec :

	gs -sDEVICE=epson -r60x72

et la plus haute résolution (la sortie de meilleure qualité) avec :

	gs -sDEVICE=epson -r240x72.

Si une imprimante est sélectionnée comme dispositif de sortie, Ghostscript permet de choisir où est envoyée la sortie – sur les systèmes Unix, habituellement vers un fichier temporaire. Pour envoyer la sortie vers le fichier toto.xyz, utilisez l'option :

	-sOutputFile=toto.xyz

Pour imprimer chaque page séparément, envoyez la sortie dans une liste de fichiers toto1.xyz, toto2.xyz, ... » en utilisant l'option -sOutputFile= avec « %d » dans le modèle de nom de fichier :

	-sOutputFile=toto%d.xyz

Chaque fichier produit recevra une page de sortie et les fichiers seront numérotés dans l'ordre croissant. « %d » est une spécification de format printf. Une variante telle que « %02d » peut être utilisée.

Sous Unix et les systèmes MS Windows, la sortie peut être envoyée dans un tube. Par exemple pour diriger la sortie vers la commande lpr(1) (qui, pour la plupart des systèmes Unix, redirige vers une imprimante) utilisez l'option :

	-sOutputFile=%pipe%lpr

Notez que les caractères « % » doivent être doublés sur MS Windows pour éviter une mauvaise interprétation par l’interpréteur.

La sortie peut être aussi envoyée sur la sortie standard :

	-sOutputFile=-
ou
	-sOutputFile=%stdout%

Dans ce cas, l’option -q doit être utilisée pour éviter que Ghostscript écrive des messages sur la sortie standard.

Pour spécifier une taille de papier particulière, utiliser l'option de ligne de commande :

	-sPAPERSIZE=<taille_papier>

par exemple,

	-sPAPERSIZE=a4
ou
	-sPAPERSIZE=legal

La plupart des formats de papier ISO et US sont reconnus. Consulter la notice d’utilisation pour la liste complète ou les définitions dans le fichier d’initialisation gs_statd.ps.

Ghostscript peut faire beaucoup d’autres choses qu’imprimer ou afficher des fichiers PostScript et PDF. Par exemple, pour connaitre le cadre de contour d’un fichier PostScript (ou EPS), Ghostscript fournit un « dispositif » spécial qui ne fait qu’afficher cette information.

Par exemple, en utilisant un des exemples de fichier distribués avec Ghostscript :

	gs -sDEVICE=bbox golfer.ps

affiche

	%%BoundingBox: 0 25 583 732
	%%HiResBoundingBox: 0.808497 25.009496 582.994503 731.809445

OPTIONS

-- fichier arg1 ...
    Prendre le premier argument pour nom de fichier comme habituellement, mais prendre tous les arguments restants (même s’ils ont la forme syntaxique d’option) et définir le nom « ARGUMENTS » dans « userdict » (pas dans « systemdict ») comme un tableau de ces chaines avant de traiter le fichier. Quand Ghostscript finit le traitement du fichier, il revient à l’interpréteur de commandes.

-Dnom=token
-dnom=token
    Définir un nom dans « systemdict » avec la définition fournie. Le « token » doit être exactement un « token » (tel que défini par l’opérateur « token ») et ne doit pas contenir d’espace blanc.

-Dnom
-dnom
    Définir un nom dans « systemdict » avec valeur=NULL.

-Snom=chaine
-snom=chaine
    Définir un nom dans « systemdict » avec la chaine indiquée comme valeur. Cela est différent de -d. Par exemple, -dname=35 est équivalent au fragment de programme :
      /name 35 def
    tandis que -sname=35 est équivalent à
      /name (35) def

-P  Faire que Ghostscript recherche d’abord dans le répertoire en cours les fichiers de bibliothèque. Par défaut, Ghostscript ne recherche plus dans le répertoire en cours à moins, naturellement, que le premier répertoire explicitement fourni soit « . » dans -I. Consulter aussi la section FICHIERS D’INITIALISATION ci-après et le fichier joint Use.htm pour des explications plus détaillées sur les chemins de recherche et la façon dont Ghostscript trouve les fichiers.

-q  Démarrage silencieux : suppression de tous les messages de démarrage et réalisation de l’équivalence de -dQUIET.

-gnombre1xnombre2
    Équivalent à -dDEVICEWIDTH=nombre1 et -dDEVICEHEIGHT=nombre2. C'est utile pour les dispositifs (comme les fenêtres X11) qui requièrent (ou autorisent) la spécification de la largeur et de la hauteur.

-rnombre
-rnombre1xnombre2
    Équivalent à -dDEVICEXRESOLUTION=nombre1 et -dDEVICEYRESOLUTION=nombre2. C'est utile pour les dispositifs tels que les imprimantes qui gèrent plusieurs résolutions. Si un seul nombre est spécifié, il est utilisé pour les résolutions horizontale et verticale.

-Irépertoires
    Ajouter la liste des répertoires indiqués en tête du chemin de recherche des fichiers de bibliothèque.

-   Ce n'est pas vraiment une option, mais cela indique à Ghostscript que l'entrée standard provient d'un fichier ou d'un tube et non de la ligne de commande interactive. Ghostscript lit l'entrée standard jusqu'à ce qu'il rencontre une « fin de fichier », la traitant comme tout autre fichier, puis continue avec le traitement de la ligne de commande. Lorsque la ligne de commande a été entièrement traitée, Ghostscript quitte plutôt que de passer en mode interactif.

Remarquez que le fichier d'initialisation normal gs_init.ps met en lecture-seule « systemdict », aussi les valeurs des noms définies par -D, -d, -S et -s ne peuvent pas être modifiées (évidemment elles peuvent être remplacées par des définitions dans « userdict » ou d'autres dictionnaires).

NOMS SPÉCIAUX

-dNOCACHE
    Désactivation de la mise en cache des caractères. Ce n’est utile que pour le débogage.

-dNOBIND
    Désactivation de l'opérateur « bind ». Ce n'est utile que pour le débogage.

-dNODISPLAY
    Suppression de l’initialisation normale des dispositifs de sortie. Cela peut être utile pour le débogage.

-dNOPAUSE
    Désactivation de l’invite et de l'arrêt à la fin de chaque page. Cela peut être souhaité pour les applications où un autre programme pilote Ghostscript.

-dNOPLATFONTS
    Désactivation de l'utilisation des fontes fournies par la plateforme hôte (par exemple X 11). Cela peut être nécessaire si les fontes de l'hôte ne ressemblent pas du tout aux fontes vectorielles.

-dSAFER
    Restriction des opérations de fichier que la tâche peut accomplir. C’est désormais le mode par défaut des opérations.

-dWRITESYSTEMDICT
    Laisser « systemdict » éditable. Cela est nécessaire lors de l'exécution d'utilitaires spéciaux, mais cela est fortement déconseillé car cela contourne les mesures normales de sécurité de PostScript.

-sDEVICE=dispositif
    Sélectionner un dispositif de sortie de remplacement comme cela est décrit ci-dessus.

-sOutputFile=fichier
    Sélectionner un fichier de sortie (ou un tube) de remplacement pour le dispositif de sortie initial, comme cela est décrit ci-dessus.

MODE SAFER

L’option -dSAFER restreint les accès au système de fichiers pour les fichiers et les répertoires autorisés par les variables d’environnement concernées (telles que GS_LIB) ou par les paramètres de la ligne de commande (consulter https://ghostscript.com/doc/current/Use.htm pour plus de détails).

Le mode SAFER est désormais le mode par défaut des opérations. Par conséquent, lors de l’exécution de programmes nécessitant l’ouverture de fichiers ou la définition de paramètres restreints, l’option -dNOSAFER doit être passée ou son synonyme -dDELAYSAFER.

L’exécution avec NOSAFER/DELAYSAFER (comme le nom le suggère) affaiblit la sécurité et n’est recommandée QUE pour le débogage ou pour des flux de travaux TRÈS contrôlés, et est très fortement DÉCONSEILLÉE dans tout autre cas.

FICHIERS

L'emplacement de beaucoup de fichiers d’environnement d’exécution de Ghostscript est compilé dans l'exécutable lors de sa construction. Sous Unix, ils sont typiquement situés dans /usr/local, mais cela peut être différent sur votre système. Sous DOS, ils sont typiquement dans C:GS, mais peuvent être ailleurs, particulièrement si Ghostscript est installé avec GSview. Lancez « gs -h » pour trouver l'emplacement de la documentation de Ghostscript sur votre système, elle pourra vous donner plus de détails.

/usr/local/share/ghostscript/#.##/*
    Fichiers de démarrage, utilitaires et définitions des fontes de base.

/usr/local/share/ghostscript/fonts/*
    D’autres définitions de fonte.

/usr/local/share/ghostscript/#.##/examples/*
    Fichiers de démonstration de Ghostscript.

/usr/local/share/ghostscript/#.##/doc/*
    Fichiers divers de documentation.

FICHIERS D’INITIALISATION
Lors de la recherche des fichiers d’initialisation gs_*.ps, des fichiers relatifs aux fontes ou du fichier pour l’opérateur « run », Ghostscript essaie d’abord d’ouvrir le fichier dont le nom est donné, en utilisant le répertoire de travail en cours si aucun répertoire n’est donné. Si cela échoue et que le nom de fichier ne précise pas un répertoire ou un disque explicites (par exemple, ne contenant pas « / » sur les systèmes Unix ou « \ » sur les systèmes MS Windows), Ghostscript essaie les répertoires dans l’ordre suivant :

1.  les répertoires indiqués avec les options -I sur la ligne de commande si elles existent (voir ci-après) ;

2.  les répertoires spécifiés par la variable d’environnement GS_LIB si elle existe ;

3.  les répertoires spécifiés par la macro GS_LIB_DEFAULT dans le makefile de Ghostscript quand l’exécutable a été construit. Quand gs est construit sur Unix, GS_LIB_DEFAULT est habituellement /usr/local/share/ghostscript/#.##:/usr/local/share/ghostscript/fonts où « #.## » représente le numéro de version de Ghostscript.

Chacune des catégories de répertoires (paramètres GS_LIB_DEFAULT, GS_LIB et -I) peut être soit un répertoire unique, soit une liste de répertoires séparés par « : ».

ENVIRONNEMENT

GS_OPTIONS
    Chaîne d'options qui doivent être traitées avant les options de la ligne de commande.

GS_DEVICE
    Utilisé pour spécifier le dispositif de sortie.

GS_FONTPATH
    Noms de chemin pour rechercher les fontes.

GS_LIB
    Noms de chemin pour les fichiers d’initialisation et les fontes.

TEMP
    Emplacement pour la création des fichiers temporaires.

RESSOURCES X
Ghostscript, ou plus précisément le dispositif d’affichage X11, recherche les ressources suivantes pour le nom de paquet « Ghostscript » :

borderWidth
    Épaisseur de bordure (par défaut = 1).

borderColor
    Nom de couleur pour la bordure (par défaut = black).

geometry
    Emplacement et taille de la fenêtre, WxH+X+Y (par défaut = NULL).

xResolution
    Nombre de pixels par pouce (la valeur par défaut est calculée à partir de WidthOfScreen et WidthMMOfScreen).

yResolution
    Nombre de pixels par pouce (la valeur par défaut est calculée à partir de HeightOfScreen et HeightMMOfScreen).

useBackingPixmap
    Détermination de si un espace de sauvegarde (backing store) doit être utilisé pour conserver la fenêtre affichée (par défaut = true (vrai)).

Consultez la notice d’utilisation pour une liste plus complète des ressources. Pour définir ces ressources sur Unix, faites-le dans un fichier tel que ~/.Xresources de la forme suivante :

	Ghostscript*geometry:	 612x792-0+0
	Ghostscript*xResolution: 72
	Ghostscript*yResolution: 72

Ensuite ajoutez ces ressources dans la base de données des ressources du serveur X.

	% xrdb -merge ~/.Xresources

VOIR AUSSI
Les divers fichiers de documentation de Ghostscript (ci-dessus), particulièrement Use.htm.

BOGUES
Consulter http://bugs.ghostscript.com/ et le groupe de nouvelles d’Usenet, comp.lang.postscript.

VERSION
Ce document a été révisé la dernière fois pour Ghostscript version 10.04.0.

AUTEUR
Artifex Software Inc. est le principal responsable de l’entretien de Ghostscript. Russell J. Lang, gsview at ghostgum.com.au, est l’auteur de la plus grande partie du code pour MS Windows dans Ghostscript.

TRADUCTION
La traduction française de cette page de manuel a été créée par Sébastien Blanchet et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.